Eclipse- ADT appcompat ... was ist das ?

? Omar.Ebrahim @ | Original: StackOverFlow
---

Ich habe den ganzen Nachmittag damit verbracht, absolut nichts mit diesem. Ich habe Eclipse- Download, das SDK heruntergeladen, die Updates installiert, aber jedes neue Android-Projekt erstelle ich etwas nicht stimmt .

Erstens wäre es nicht erzeugen die R.java Datei überhaupt, jetzt ist es aber es gibt ein separates Projekt es automatisch aufgerufen appcompat_v7 erstellt. Ich weiß nicht, was das ist, aber es ist was zu Problemen mit einem anderen neuen Projekt.

Dies ist der Fehler ein normales Projekt produziert : Der Behälter ' Android Abhängigkeiten' Referenzen nicht vorhandenen Bibliothek ' /home/omar/workspace/appcompat_v7/bin/appcompat_v7.jar '

Ich habe absolut keine Ahnung, wie man dieses Problem beheben . Was ist der Grund dafür?

EDIT Es erscheint das ist nur mit KitKat, jede zweite API -Plattform enthält keine Quelldateien überhaupt produzieren .... eine Ahnung, wie zur Bekämpfung dieses?

Eclipse- ADT appcompat ... was ist das?

Eclipse- ADT appcompat ... was ist das?

Eclipse- ADT appcompat ... was ist das?

---

Top 5 Antwort

1NickT @

Es ist ein Support-Bibliothek, die vermutlich Ihr Projekt bezieht sich auf . Sie müssen es als eine Bibliothek Projekt in Ihrem Arbeitsbereich zu bauen. Dieser Vorgang wird hier https://developer.android.com/tools/support-library/setup.html unter Hinzufügen von Bibliotheken mit Ressourcen beschrieben .

Sie werden das Projekt, das Sie in Ihrem SDK im Ordner kopieren brauchen:

yourSDKlocation oolsandroid -sdk - windows4.4extrasandroidsupportv7appcompat

( Es nützt nichts, nur das Kopieren ein Glas, müssen Sie es als eine Bibliothek Projekt zu erstellen. )